Bug 32786

Summary: Curbside pickup admin page has cities search bar
Product: Koha Reporter: Caroline Cyr La Rose <caroline.cyr-la-rose>
Component: System AdministrationAssignee: Jonathan Druart <jonathan.druart+koha>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: gmcharlt, jonathan.druart+koha, lucas, martin.renvoize
Version: unspecified   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03
Bug Depends on: 30650    
Bug Blocks:    
Attachments: Bug 32786: Display admin header on curbside pickup admin
Bug 32786: Display admin header on curbside pickup admin
Bug 32786: Display admin header on curbside pickup admin

Description Caroline Cyr La Rose 2023-02-01 20:06:34 UTC
I noticed that when you're on the curbside pickup administration page, the search bar at the top is set to search cities and towns.

To get there:
1. Enable the CurbsidePickup system preference
2. Go to Administration > Curbside pickup
   --> Notice the search bar at the top of the page, it is set by default on Search cities

Most other administration pages (those that don't have specific searches) are set by default on system preferences search.
Comment 1 Jonathan Druart 2023-02-06 15:40:26 UTC
Created attachment 146280 [details] [review]
Bug 32786: Display admin header on curbside pickup admin

Most other administration pages (those that don't have specific searches)
are set by default on system preferences search.

Test plan:
Go to admin > Curbside pickup
Confirm that the syspref search is displayed in the header
Comment 2 Caroline Cyr La Rose 2023-02-06 16:14:15 UTC
Created attachment 146287 [details] [review]
Bug 32786: Display admin header on curbside pickup admin

Most other administration pages (those that don't have specific searches)
are set by default on system preferences search.

Test plan:
Go to admin > Curbside pickup
Confirm that the syspref search is displayed in the header

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Martin Renvoize 2023-02-07 13:21:01 UTC
Created attachment 146326 [details] [review]
Bug 32786: Display admin header on curbside pickup admin

Most other administration pages (those that don't have specific searches)
are set by default on system preferences search.

Test plan:
Go to admin > Curbside pickup
Confirm that the syspref search is displayed in the header

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2023-02-07 13:21:21 UTC
Nice consistency improvement, PQA
Comment 5 Tomás Cohen Arazi 2023-02-07 13:52:10 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Jacob O'Mara 2023-02-08 16:38:11 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.
Comment 7 Lucas Gass 2023-02-15 21:28:08 UTC
Missing dependencies for 22.05.x, no backport